Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class JUnitSeamTest

    java.lang.Object
      org.jboss.seam.mock.AbstractSeamTest
          org.jboss.seam.mock.JUnitSeamTest

Direct Known Subclasses:
  DBJUnitSeamTest

    public class JUnitSeamTest

extends AbstractSeamTest

Provides BaseSeamTest functionality for Arquillian JUnit integration tests.

Author:
  Gavin King, Thomas Heute, Mike Youngstrom, Jozef Hartinger, Marek Schmidt

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.mock.AbstractSeamTest
`AbstractSeamTest.ComponentTest, AbstractSeamTest.FacesRequest, AbstractSeamTest.NonFacesRequest`

Field Summary

Fields inherited from class org.jboss.seam.mock.AbstractSeamTest
`seamFilter, servletContext, session`

Constructor Summary
`JUnitSeamTest()`

Method Summary
`void` | `begin()`
`void` | `end()`
`void` | `reset()` Call this method within a test method to end the previous mock session and start another one.

Methods inherited from class org.jboss.seam.mock.AbstractSeamTest
`cleanupClass, createSeamFilter, createServletContext, getConversationIdParameter, getELResolvers, getField, getInitialContext, getInstance, getInstance, getSession, getUserTransaction, initServletContext, installMockTransport, isLongRunningConversation, isSessionInvalid, lookup, setField, setupClass, startSeam, stopSeam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitSeamTest

    public JUnitSeamTest()

Method Detail

### begin

    public void begin()

  Overrides:
    `begin` in class `AbstractSeamTest`

### end

    public void end()

  Overrides:
    `end` in class `AbstractSeamTest`

### reset

    public void reset()

  Call this method within a test method to end the previous mock session and start another one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.